# Template for a library's @LIBRARY_NAME@ConfigVersion.cmake file
# See the following links:
#  http://www.vtk.org/Wiki/CMake/Tutorials/How_to_create_a_ProjectConfig.cmake_file
#  http://www.cmake.org/Wiki/CMake/Tutorials/Packaging

set(PACKAGE_VERSION "@PROJECT_VERSION@")
#set(PACKAGE_VERSION_MAJOR "@PROJECT_VERSION_MAJOR@")
#set(PACKAGE_VERSION_MINOR "@PROJECT_VERSION_MINOR@")
#set(PACKAGE_VERSION_PATCH "@PROJECT_VERSION_PATCH@")

set(PACKAGE_VERSION_EXACT FALSE)
set(PACKAGE_VERSION_COMPATIBLE FALSE)
set(PACKAGE_VERSION_UNSUITABLE FALSE)

# Check whether the requested PACKAGE_FIND_VERSION is compatible
if("${PACKAGE_VERSION}" VERSION_LESS "${PACKAGE_FIND_VERSION}")
  set(PACKAGE_VERSION_UNSUITABLE TRUE)
else()
  set(PACKAGE_VERSION_COMPATIBLE TRUE)
  if ("${PACKAGE_VERSION}" VERSION_EQUAL "${PACKAGE_FIND_VERSION}")
    set(PACKAGE_VERSION_EXACT TRUE)
  endif()
endif()
